#include <stdio.h>

#include "18ao8_dsl.h"

int ao8_write_dsl(int fd, const void* src, size_t bytes, size_t* qty)
{
	int	errs;
	int	ret;

	ret	= ao8_write(fd, src, bytes);

	if (ret < 0)
		printf("ERROR: ao8_write() returned %d\n", ret);

	if (qty)
		qty[0]	= (ret < 0) ? 0 : (size_t) ret;

	errs	= (ret < 0) ? 1 : 0;
	return(errs);
}